REST APIWallet & TransactLightning

GET

This API call is used to fetch current lightning payments over the lightning network.

Path Params

  • walletId string required

    matches ^[0-9a-f]{32}$

Query Params

  • status string enum
    in_flightsettledfailed
  • limit string number
  • startDate string date-time
  • endDate string date-time
  • paymentHash string
  • prevId string

Responses

200
OK

Response Body

object

  • payments array of objects required
    payments object
    • id string required
    • paymentHash string required
    • walletId string required
    • txRequestId string required
    • status string enum required
      in_flightsettledfailed
    • invoice string required
    • feeLimitMsat string number required
    • destination string required
    • updatedAt string date-time required
    • createdAt string date-time required
    • amountMsat string number required
    • feeMsat string number
    • failureReason string

      ONE OF

      string enum

    • paymentPreimage string
  • nextBatchPrevId string
400
Bad Request

Response Body

ONE OF

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string enum required
    InvalidWalletId
  • context object required
    context object
    • id string required

      matches ^[0-9a-f]{32}$

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
500
Internal Server Error

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id